import { type ComputeConfig, type ContentAction, type ReferenceAction, type UpdatePosition } from 'svelte-floating-ui';
import { type VirtualElement } from 'svelte-floating-ui/dom';
import { type Writable } from 'svelte/store';
export type FloatingUiNode = HTMLElement | Writable<VirtualElement> | VirtualElement;
export declare function isElementInPopover(srcElement: EventTarget | null): boolean;
export type Options = {
    floatingUi?: Partial<ComputeConfig>;
};
export declare function createPopover(isOpen: Writable<boolean>, options?: Options): [ReferenceAction, ContentAction, UpdatePosition];
